Announcement

Collapse
No announcement yet.

Upgrading from 3.8.2 with patch 3.8.4 PL2

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Darkimmortal
    replied
    One line changed in the latest patch - just diff functions.php manually.

    Leave a comment:


  • Mark.B
    replied
    Originally posted by zappsan View Post
    Well, I can't unless I pay 195$. Is my forum still safe with only the patches applied?
    No. The only way to be sure of security is to run the latest full version.

    Patches for later versions than the one you're running should not be used, as you may run into compatibility issues and/or loss of functionality, because the patched files belong to the relevant version - any changes made to that file *in between* versions may not be compatible with your own earlier version.

    Leave a comment:


  • zappsan
    replied
    Well, I can't unless I pay 195$. Is my forum still safe with only the patches applied?

    Leave a comment:


  • Andrew Elkins
    replied
    It's recommended that you update to the latest version. In your case vb 3.8.4 PL2. Then make sure the upgrade runs completely.

    Leave a comment:


  • zappsan
    replied
    I have the same question. I'm running vB 3.8.1. I've downloaded and used all the patches (even if they aren't supposed for my version). I haven't had any problems with them so far but I wonder if they actually protect me from the security holes.

    Leave a comment:


  • JAugusto
    replied
    Hello. The last VB I am allowed to download is 3.8.2. Does this means 3.8.2 users will be left with no patch available?!

    Security patch: 4.0.0 Suite PL1
    Security patch: 4.0.0 Forum PL1
    Security patch: 3.8.4 PL2 (includes PL1)
    Security patch for 3.8.3 (included in 3.8.4+)
    Security patch: 3.8.1 PL1
    Security patch: 3.7.6 PL2 (includes PL1)
    Security patch: 3.7.5 PL1
    Security patch: 3.7.4 PL1
    Security patch: 3.7.3 PL1
    Security patch: 3.7.2 PL2 (includes PL1)
    Security patch: 3.7.1 PL2 (includes PL1)
    Security patch: 3.6.12 PL2 (includes PL1)
    Security patch: 3.6.11 PL1
    Security patch: 3.6.10 PL4 (includes PL1-3)
    Security patch: 3.6.8 PL2 (includes PL1)
    Security patch: 3.6.7 PL1
    Security patch for 3.6.6 (included in 3.6.7 Patch Level 1+)
    Security patch for 3.6.4 (included in 3.6.5+)
    Security patch for 3.6.3 (included in 3.6.4+)
    Security patch for 3.6.2 (included in 3.6.3+)

    Leave a comment:


  • dumoulin
    replied
    Thanks a lot!

    I did install the upgrade and I was still having the same problem. I flushed all my cookies (in IE) and it solved the problem!

    R.

    Leave a comment:


  • Mark.B
    replied
    Originally posted by dumoulin View Post
    Hi!

    I was using version 3.8.2 with customization for icons, image, etc. It take me 1-2 hour when I do a full upgrade to but everything back in French.

    From the instructions on the site, I was not sure if I could upgrade with only the patch. I tried it and it seems to work but I have now a small problem in the admin : When I use the admin, the right panels will often request that I logon again. I do and it works but it keep asking me for logon and password.

    Is there an easy way to fix this? Should I run the full upgrade? My VB is now showing version 3.8.4 pl2... will that work?
    Your upgrade is not complete. You need to run the full upgrade I'm afraid. The patch is only for people already on 3.8.4. If you don't do this, you miss any security and buig fixes from 3.8.3 and 3.8.4, plus you may find incompatibilities within the files which could break functionality.

    Leave a comment:


  • dumoulin
    started a topic Upgrading from 3.8.2 with patch 3.8.4 PL2

    Upgrading from 3.8.2 with patch 3.8.4 PL2

    Hi!

    I was using version 3.8.2 with customization for icons, image, etc. It take me 1-2 hour when I do a full upgrade to but everything back in French.

    From the instructions on the site, I was not sure if I could upgrade with only the patch. I tried it and it seems to work but I have now a small problem in the admin : When I use the admin, the right panels will often request that I logon again. I do and it works but it keep asking me for logon and password.

    Is there an easy way to fix this? Should I run the full upgrade? My VB is now showing version 3.8.4 pl2... will that work?

Related Topics

Collapse

Working...
X